我以前在版本3.3命令行界面之前使用phonegap,如下文档所述:

http://docs.phonegap.com/zh-CN/3.2.0/guide_cli_index.md.html#The%20Command-Line%20Interface

但是,在安装phonegap 3.4之后,phonegap命令行已由cordovas替换,如下所示:

http://docs.phonegap.com/zh-CN/3.4.0/guide_cli_index.md.html#The%20Command-Line%20Interface

我尝试运行cordova CLI,但它不存在。 我想念什么吗?

我的问题是我仍然可以使用doc phonegap 3.2中提到的旧版phonegap命令行吗? 如果我仍将phonegap 3.2用作phonegap 3.4有什么影响?

如果我遵循phonegap 3.4中提到的文档,是否必须将cordova与phonegap一起安装?

===============>>#1 票数:2

抱歉,我必须更新我的答案,因为在phonegap 3.3之后,您必须安装Apache Cordova。

sudo npm install -g cordova

并使用cordova代替phonegap 例如: cordova platform add ios

===============>>#2 票数:1

PhoneGap的基础软件是Apache Cordova。该软件以前称为“ PhoneGap”,然后称为“ Apache Callback”。 Apache Cordova是开源软件。

PhoneGap是Apache Cordova的发行版。 您可以将Apache Cordova视为支持PhoneGap的引擎,类似于WebKit是为Chrome或Safari提供动力的引擎。

随着时间的推移,PhoneGap发行版可能包含与其他Adobe服务绑定的其他工具,这些工具不适用于Apache项目。

当前,唯一的区别在于下载软件包的名称,并且会保留一段时间。

去年年底,Adobe / Nitobi将PhoneGap代码库捐赠给了Apache软件基金会(ASF)以进行增强。 您在提供给Apache Software Foundation之前,已准备了在第一个链接http://docs.phonegap.com/en/3.2.0/guide_cli_index.md.html#The%20Command-Line%20Interface中提到的文档。

而第二个链接是在增强后准备的。 http://docs.phonegap.com/en/3.4.0/guide_cli_index.md.html#The%20Command-Line%20Interface

大多数人在使用phonegap 3.3版本时已经注意到了这一点。

因此,您可以使用phonegap或cordova。 根据phonegap网站的建议,很少有期货会推迟交易,我们应该选择科尔多瓦。

希望你清楚。

===============>>#3 票数:0

是的,您可以使用任何版本的PhoneGap 2.9.0及更高版本。 科尔多瓦刚刚更新了3.4.0版本,但存在一些问题。

您可以在图像下面看到,我们的STAGING文件夹位于主要的www目录所在的目录中,我们必须在该目录中实现代码。

在此处输入图片说明

您可以通过以下命令卸载Cordova 3.4.0 sudo npm uninstall -g cordova@3.4.0

通过此命令安装特定版本的Cordova sudo npm install -g cordova@2.9.0

最后,我想总结一下,使用更新版本或以前的版本不会有任何问题。

  ask by channa ly translate from so

未解决问题?本站智能推荐: